## com.sun.jersey.spi
Interface StringReader<T>

Type Parameters:
  `T` - the Java type to convert to.

    public interface StringReader<T>

Read a string value and convert to a Java type.

A `StringReaderProvider` is responsible for providing an instance of this interface.

If annotated with `StringReader.ValidateDefaultValue` with a value of true or the annotation is absent then the reader will be used to validate a default value (if any) by calling the fromString method, perhaps at initialization, before any value, default or otherwise, is actually required. This enables the early reporting of errors for default values. If annotated with `StringReader.ValidateDefaultValue` with a value of false then the reader will not be used to validate a default (if any) before any value, default or otherwise, is actually required.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary
`static interface` `StringReader.ValidateDefaultValue` Declares whether validation of a default value should occur before any value, default or otherwise, is actually required.

Method Summary
`T` `fromString(java.lang.String value)` Read a string value and convert to a Java type.

Method Detail

### fromString

    T fromString(java.lang.String value)

  Read a string value and convert to a Java type.

  Parameters:
    `value` - The string value.
  Returns:
    the instance of the Java type.

Copyright © 2017 Oracle Corporation. All Rights Reserved.